# Localized Strings

## Parameters

`l10n.locale`

  The top-level locale of the document

`l10n.language`

  The language part of the top-level locale of the document

`l10n.region`

  The region part of the top-level locale of the document

`l10n.variant`

  The variant part of the top-level locale of the document

`l10n.charset`

  The charset part of the top-level locale of the document

## Modes

`l10n.format.mode`

  FIXME

## Templates

`l10n.gettext`

  Looks up the translation for a string

`l10n.plural.form`

  Extracts he plural form string for a given cardinality

`l10n.direction`

  Determines the text direction for the language of the document

`l10n.align.start`

  Determines the start alignment

`l10n.align.end`

  Determines the end alignment

`l10n.arrow.previous`

  FIXME

`l10n.arrow.next`

  FIXME

`l10n.language`

  Extracts the langauge portion of a locale

`l10n.region`

  Extracts the region portion of a locale

`l10n.variant`

  Extracts the variant portion of a locale

`l10n.charset`

  Extracts the charset portion of a locale

## `l10n.locale`

The top-level locale of the document

### Description

## `l10n.language`

The language part of the top-level locale of the document

### Description

## `l10n.region`

The region part of the top-level locale of the document

### Description

## `l10n.variant`

The variant part of the top-level locale of the document

### Description

## `l10n.charset`

The charset part of the top-level locale of the document

### Description

## `l10n.format.mode`

FIXME

### Parameters

`node`

  The node being processed in the original document

`string`

  String content to use for certain message format nodes

### Description

## `l10n.gettext`

Looks up the translation for a string

### Parameters

`msgid`

  The id of the string to look up, often the string in the C locale

`lang`

  The locale to use when looking up the translated string

`lang_language`

  The language portion of the `lang`

`lang_region`

  The region portion of `lang`

`lang_variant`

  The variant portion of `lang`

`lang_charset`

  The charset portion of `lang`

`number`

  The cardinality for plural-form lookups

`form`

  The form name for plural-form lookups

### Description

## `l10n.plural.form`

Extracts he plural form string for a given cardinality

### Parameters

`number`

  The cardinality of the plural form

`lang`

  The locale to use when looking up the translated string

`lang_language`

  The language portion of the `lang`

`lang_region`

  The region portion of `lang`

`lang_variant`

  The variant portion of `lang`

`lang_charset`

  The charset portion of `lang`

### Description

## `l10n.direction`

Determines the text direction for the language of the document

### Parameters

`lang`

  The locale to use to determine the text direction

`lang_language`

  The language portion of the `lang`

`lang_region`

  The region portion of `lang`

`lang_variant`

  The variant portion of `lang`

`lang_charset`

  The charset portion of `lang`

### Description

## `l10n.align.start`

Determines the start alignment

### Parameters

`direction`

  The text direction

### Description

## `l10n.align.end`

Determines the end alignment

### Parameters

`direction`

  The text direction

### Description

## `l10n.arrow.previous`

FIXME

### Parameters

`direction`

  The text direction

### Description

## `l10n.arrow.next`

FIXME

### Parameters

`direction`

  The text direction

### Description

## `l10n.language`

Extracts the langauge portion of a locale

### Parameters

`lang`

  The locale to extract the language from

### Description

## `l10n.region`

Extracts the region portion of a locale

### Parameters

`lang`

  The locale to extract the region from

### Description

## `l10n.variant`

Extracts the variant portion of a locale

### Parameters

`lang`

  The locale to extract the variant from

### Description

## `l10n.charset`

Extracts the charset portion of a locale

### Parameters

`lang`

  The locale to extract the charset from

### Description